- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ParticleSystemRendererFactory Class Reference

Abstract class definition of a factory object for ParticleSystemRenderer. More...

`#include <OgreParticleSystemRenderer.h>`

Inheritance diagram for Ogre::ParticleSystemRendererFactory:
[legend]

List of all members.

## Public Member Functions
virtual const String & | getType () const =0
| Returns the factory type.
virtual T * | createInstance (const String &name)=0
| Creates a new object.
virtual void | destroyInstance (T *)=0
| Destroys an object which was created by this factory.

## Detailed Description

Abstract class definition of a factory object for ParticleSystemRenderer.

Definition at line 116 of file OgreParticleSystemRenderer.h.

## Member Function Documentation

template<typename T>

virtual const String& Ogre::FactoryObj< T >::getType | ( |  | ) | const`[pure virtual, inherited]`

Returns the factory type.

Returns:
  The factory type.

Implemented in Ogre::BillboardParticleRendererFactory, Ogre::FileSystemArchiveFactory, and Ogre::ZipArchiveFactory.

template<typename T>

virtual T* Ogre::FactoryObj< T >::createInstance | ( | const String & | name | ) | `[pure virtual, inherited]`

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implemented in Ogre::BillboardParticleRendererFactory, Ogre::FileSystemArchiveFactory, and Ogre::ZipArchiveFactory.

template<typename T>

virtual void Ogre::FactoryObj< T >::destroyInstance | ( | T * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

The documentation for this class was generated from the following file:

- OgreParticleSystemRenderer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:33 2008